Package icyllis.modernui.text

# Enum Class Layout.Alignment

java.lang.Object
java.lang.Enum<Layout.Alignment>
icyllis.modernui.text.Layout.Alignment

All Implemented Interfaces:
  `Serializable`, `Comparable<Layout.Alignment>`, `Constable`

Enclosing class:
  `Layout`

public static enum Layout.Alignment extends Enum<Layout.Alignment>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALIGN_CENTER`
  `ALIGN_LEFT`
  `ALIGN_NORMAL`
  `ALIGN_OPPOSITE`
  `ALIGN_RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Layout.Alignment`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Layout.Alignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALIGN_NORMAL

    public static final Layout.Alignment ALIGN_NORMAL

  - ### ALIGN_OPPOSITE

    public static final Layout.Alignment ALIGN_OPPOSITE

  - ### ALIGN_CENTER

    public static final Layout.Alignment ALIGN_CENTER

  - ### ALIGN_LEFT

    public static final Layout.Alignment ALIGN_LEFT

  - ### ALIGN_RIGHT

    public static final Layout.Alignment ALIGN_RIGHT

- ## Method Details

  - ### values

    public static Layout.Alignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Layout.Alignment valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null